import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { createAsyncThunk } from "@reduxjs/toolkit";

export const stewardEditSegmentService = createAsyncThunk(
  "STEWARD_EDIT_SEGMENT_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    try {
      const { data, status } = await axios.put(`app-segmentation/0/`, d);
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response?.data?.result };
    }
  }
);
